Upstream information

CVE-2020-14039 at MITRE

Description

In Go before 1.13.13 and 1.14.x before 1.14.5, Certificate.Verify may lack a check on the VerifyOptions.KeyUsages EKU requirements (if VerifyOptions.Roots equals nil and the installation is on Windows). Thus, X.509 certificate verification is incomplete.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5
Vector AV:N/AC:L/Au:N/C:N/I:P/A:N
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact Partial
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database
Base Score 5.3
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:L/A:N
Access Vector Network
Access Complexity Low
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact None
Integrity Impact Low
Availability Impact None
CVSSv3 Version 3.1
SUSE Bugzilla entry: 1174191 [RESOLVED / INVALID]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Module for Development Tools 15 SP1
  • go1.14 >= 1.14.7-1.15.1
  • go1.14-doc >= 1.14.7-1.15.1
Patchnames:
SUSE-SLE-Module-Development-Tools-15-SP1-2020-2562
SUSE Linux Enterprise Module for Development Tools 15 SP2
  • go1.14 >= 1.14.7-1.15.1
  • go1.14-doc >= 1.14.7-1.15.1
Patchnames:
SUSE-SLE-Module-Development-Tools-15-SP2-2020-2562
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP1
  • go1.14 >= 1.14.7-1.15.1
  • go1.14-doc >= 1.14.7-1.15.1
  • go1.14-race >= 1.14.7-1.15.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2020-2562
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP2
  • go1.13 >= 1.13.14-1.12.1
  • go1.13-doc >= 1.13.14-1.12.1
  • go1.13-race >= 1.13.14-1.12.1
  • go1.14 >= 1.14.7-1.15.1
  • go1.14-race >= 1.14.7-1.15.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP2-2020-2026
SUSE-SLE-Module-Development-Tools-OBS-15-SP2-2020-2562
openSUSE Leap 15.1
  • go1.13 >= 1.13.14-lp151.5.1
  • go1.13-doc >= 1.13.14-lp151.5.1
  • go1.13-race >= 1.13.14-lp151.5.1
  • go1.14 >= 1.14.7-lp151.13.1
  • go1.14-doc >= 1.14.7-lp151.13.1
  • go1.14-race >= 1.14.7-lp151.13.1
Patchnames:
openSUSE-2020-1087
openSUSE-2020-1405
openSUSE Leap 15.2
  • go1.13 >= 1.13.14-lp152.2.4.1
  • go1.13-doc >= 1.13.14-lp152.2.4.1
  • go1.13-race >= 1.13.14-lp152.2.4.1
  • go1.14 >= 1.14.7-lp152.2.3.1
  • go1.14-doc >= 1.14.7-lp152.2.3.1
  • go1.14-race >= 1.14.7-lp152.2.3.1
Patchnames:
openSUSE-2020-1095
openSUSE-2020-1407


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise 15-SP1 Module for Development Tools go1.14 Released
SUSE Linux Enterprise 15-SP2 Module for Development Tools go1.14 Released